Subject: Re: next phase of tmem into linux-next

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Jun 2011 09:48:50 +1000

Hi Dan,

On Wed, 1 Jun 2011 09:22:59 -0700 (PDT) Dan Magenheimer <[email-masked]> wrote:
>
> OK, I see "Already up-to-date" in merge.log.  I'll assume
> that the new frontswap commits will lag a day.  (Thanks,
> Konrad, for helping me find this info and pointing out the
> probable lag.)
> 
> (A thought... perhaps the merge.log generation script should
> do a "date" at the beginning and end, so one knows if one
> has just missed your merge window?)

Yeah, well I am out of sync (timezone-wise) with most people, so good
thought.  Though I actually fetch all the trees before I starte merging
them, but it will give people some idea.

> > The tree is still called "cleancache" in linux-next.  Should I change
> > that to something more generic?
> 
> Yes please.  A good short name would be "tmem", but if you want
> something longer and more descriptive maybe, "transcendent_memory".
> I expect in the future that this might be the path for, for
> example, tmem-related code that is promoted from drivers/staging.
> E.g., the generic tmem.c code in drivers/staging/zcache could
> probably end up in lib at some point if/when there are multiple users.

OK, I have renamed it to tmem (much easier to type :-)).

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/